How to match my swift version to swift-format?

Using master branch of swift-format requires you to also use the swift-DEVELOPMENT-SNAPSHOT-2019-09-26-a toolchain. Where can I acquire it? I cannot seem to find it, and trying to guess the url gives me a "Not Found" page

edit:
:man_facepalming: I forgot a second -a- when guessing the url

Hi @cukr, the snapshots are usually found at this page.

I couldn't find the mentioned snapshot in that page, however, I looked at the url signature of the other snapshots and guessed the url for the specific snapshot you're looking for, here it is:
https://swift.org/builds/development/xcode/swift-DEVELOPMENT-SNAPSHOT-2019-09-26-a/swift-DEVELOPMENT-SNAPSHOT-2019-09-26-a-osx.pkg.

Hope this helps!
Federico

PS
Just noticed your edit, well I hope it helps someone that might stumble upon this discussion :blush:

1 Like

We just merged a much needed update today that migrates swift-format to newer SwiftSyntax APIs that were refactored a while back. This also syncs the master branch up to a much more recent development snapshot, swift-DEVELOPMENT-SNAPSHOT-2020-01-29-a.

6 Likes
Terms of Service

Privacy Policy

Cookie Policy